// $( document).ready( function () {
//
//     var reservation_time = sd_getCookie('sd_reservation_time') * 1000;
//     $('#clock').countdown(reservation_time)
//         .on('update.countdown', function(event) {
//             $(this).html(event.strftime('%M:%S'));
//         })
//         .on('finish.countdown', function(event) {
//             location.reload();
//         });
// });


$(window).on('load', function () {

    var reservation_time = sd_getCookie('sd_reservation_time') * 1000;
    var callReservationClock = function (ajax) {
        var isAjax = false;
        if (typeof ajax !== 'undefined') {
            isAjax = true;
        }
        if(!isNaN(reservation_time)){
            $('#clock, .sd-clock').each(function () {

                $(this).countdown(reservation_time)
                    .on('update.countdown', function (event) {
                        $(this).html(event.strftime('%M:%S'));
                    })
                    .on('finish.countdown', function (event) {
                        if (!isAjax) {
                            location.reload();
                        } else {
                            $.get(location.protocol + '//' + location.host + '/warenkorb.php', function () {
                                $.evo.basket().updateCart();
                            })
                        }
                    });
            });
        }
    };
    callReservationClock();
});

function sd_getCookie(name) {
    var matches = document.cookie.match(new RegExp(
        "(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"
    ));
    return matches ? decodeURIComponent(matches[1]) : undefined;
}